> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/testenvironment.md).

# Test environment

You can test any API request you want using test Token. Link to test endpoint is shown under request name.

Example CURL request:

```
curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest_dev/getContacts' -data '{ 
    "token": "v9988f42c0eza7e824998365c1c868e3",
    "reg_code": "10117826", 
    "country": "EST"
}'
```

Change API request URL ('<https://in.bisnode.ee/rest\\_dev/getContacts>' in the example) to API request URL you want to test and input parameters, if needed.

Contact us for test Token:\
🖂 **<info.ee@dnb.com>**\
🕿 **+372 6414 902 (EST, ENG)**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/testenvironment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
